package com.community.huiju.dao;

import com.community.huiju.model.ToOperateTel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
@Mapper
public interface ToOperateTelMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ToOperateTel record);

    int insertSelective(ToOperateTel record);

    ToOperateTel selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ToOperateTel record);

    int updateByPrimaryKey(ToOperateTel record);

    /**
     * 查询当前电话
     * @param name
     * @param tel
     * @param remark
     * @return
     */
    List<ToOperateTel> getPhoneList(@Param("name") String name, @Param("tel") String tel, @Param("remark") String remark);
}